RISOLTO Cuda su mint

Stato
Discussione chiusa ad ulteriori risposte.

Lam

Utente Èlite
2,354
290
Buongiorno

Ho recentemente installato Davinci Resolve 16,tentando di sostituire Premiere(una delle ragioni per cui non elimino windows)
Il programma sarebbe per Centos(strana cosa per la versione free) ma esiste uno script per fare un .deb(mi sembrava sospetto,
ma il forum della Blackmagic lo consiglia,quindi credo di non dovermi fare problemi)
Aperto,funziona benino,ma un bel mattone sulla cpu:un po' è normale,ma la versione free recentemente ha aggiunto il supporto cuda.
Con un i5 6500 e una 1060,le prestazioni migliorerebbero parecchio,così ho provato a installare i pacchetti cuda dai repo di mint
installazione completata,il programma non li riconosce:la 1060 la rileva,ma con openCL

che problema c'è con i pacchetti di ubuntu 16.04?
sto provando ad aggiornare a 19,ma non sembra voler funzionare,ad un certo punto mette "no" in automatico e si blocca il terminale
 

oscarandrea

Utente Attivo
266
37
CPU
i5 5200u
RAM
Samsung sodimm 1600MHz
GPU
nvidia 830m 2gb
Monitor
1366x768
OS
Gentoo/HardenedBSD
Buongiorno

Ho recentemente installato Davinci Resolve 16,tentando di sostituire Premiere(una delle ragioni per cui non elimino windows)
Il programma sarebbe per Centos(strana cosa per la versione free) ma esiste uno script per fare un .deb(mi sembrava sospetto,
ma il forum della Blackmagic lo consiglia,quindi credo di non dovermi fare problemi)
Aperto,funziona benino,ma un bel mattone sulla cpu:un po' è normale,ma la versione free recentemente ha aggiunto il supporto cuda.
Con un i5 6500 e una 1060,le prestazioni migliorerebbero parecchio,così ho provato a installare i pacchetti cuda dai repo di mint
installazione completata,il programma non li riconosce:la 1060 la rileva,ma con openCL

che problema c'è con i pacchetti di ubuntu 16.04?
sto provando ad aggiornare a 19,ma non sembra voler funzionare,ad un certo punto mette "no" in automatico e si blocca il terminale
hai i driver proprietari o opensource?
Post automatically merged:

hai comunque installato nvidia-cuda-toolkit?
 

Lam

Utente Èlite
2,354
290
Proprietario
cuda-toolkit installato,insieme a nvidia-modprobe
ho aggiornato a 19 comunque,bisognava solo usare direttamente il comando per l'upgrade
 

oscarandrea

Utente Attivo
266
37
CPU
i5 5200u
RAM
Samsung sodimm 1600MHz
GPU
nvidia 830m 2gb
Monitor
1366x768
OS
Gentoo/HardenedBSD
Proprietario
cuda-toolkit installato,insieme a nvidia-modprobe
ho aggiornato a 19 comunque,bisognava solo usare direttamente il comando per l'upgrade
quindi ora funziona?
 

Lam

Utente Èlite
2,354
290
No,e non riesco a mettere il driver 430 per problemi di dipendenze (Ho il 390)
Post automatically merged:

Nel software center,il 430 non è disponibile

l'errore del gestore driver è questo

I seguenti pacchetti presentano dipendenze non soddisfatte:

nvidia-driver-430: Depends: libnvidia-gl-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-dkms-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-kernel-source-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-compute-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-compute-utils-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-decode-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-encode-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-utils-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: xserver-xorg-video-nvidia-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-cfg1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-ifr1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-fbc1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
 
Ultima modifica:

EmanueleC

Utente Èlite
5,411
1,728
CPU
Ryzen 5 2600x
Dissipatore
stock
Scheda Madre
ROG STRIX B450-F GAMING
HDD
1TB Toshiba, Toshiba TR200 240 GB
RAM
Corsair DDR4 3000 Mhz 2x8 GB
GPU
GeForce GTX 750Ti 2gb
PSU
Seasonic Focus Gold 450W
Case
BitFenix Neos
OS
Fedora 33
No,e non riesco a mettere il driver 430 per problemi di dipendenze (Ho il 390)
Post automatically merged:

Nel software center,il 430 non è disponibile

l'errore del gestore driver è questo

I seguenti pacchetti presentano dipendenze non soddisfatte:

nvidia-driver-430: Depends: libnvidia-gl-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-dkms-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-kernel-source-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-compute-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-compute-utils-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-decode-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-encode-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: nvidia-utils-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: xserver-xorg-video-nvidia-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-cfg1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-ifr1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
Depends: libnvidia-fbc1-430 (= 430.26-0ubuntu0.18.04.2) ma 430.26-0ubuntu0.18.04.2 sta per essere installato
disinstalla i driver e poi li reinstalli:
Codice:
sudo apt --purge autoremove nvidia*

Codice:
sudo apt install nvidia-driver-430
 

Lam

Utente Èlite
2,354
290
la documentazione è titubante su quale driver si debba usare,potrebbe essere il 396 come il 430
 

EmanueleC

Utente Èlite
5,411
1,728
CPU
Ryzen 5 2600x
Dissipatore
stock
Scheda Madre
ROG STRIX B450-F GAMING
HDD
1TB Toshiba, Toshiba TR200 240 GB
RAM
Corsair DDR4 3000 Mhz 2x8 GB
GPU
GeForce GTX 750Ti 2gb
PSU
Seasonic Focus Gold 450W
Case
BitFenix Neos
OS
Fedora 33
la documentazione è titubante su quale driver si debba usare,potrebbe essere il 396 come il 430
Devi mettere gli ultimi, i 430
Post automatically merged:

Codice:
sudo apt install nvidia-cuda-toolkit
 
Stato
Discussione chiusa ad ulteriori risposte.

Entra

oppure Accedi utilizzando

Hot: E3 2021, chi ti è piaciuto di più?

  • Ubisoft

    Voti: 4 17.4%
  • Gearbox

    Voti: 0 0.0%
  • Xbox & Bethesda

    Voti: 19 82.6%
  • Square Enix

    Voti: 0 0.0%
  • Capcom

    Voti: 0 0.0%
  • Nintendo

    Voti: 3 13.0%
  • Altro (Specificare)

    Voti: 0 0.0%

Discussioni Simili